/*## ####################################################################### */
/*##                                                                         */
/*##     THIS COMPONENT MODULE IS GENERATED BY THE PROCESSOR EXPERT. DO NOT MODIFY IT. */
/*##                                                                         */
/*##     Filename  : ProcessorExpert.ld                                      */
/*##                                                                         */
/*##     Project   : RemotePowerControl                                      */
/*##                                                                         */
/*##     Processor : MK64FN1M0VLQ12                                          */
/*##                                                                         */
/*##     Compiler  : GNU C Compiler                                          */
/*##                                                                         */
/*##     Date/Time : 2014-12-05, 22:39, # CodeGen: 2                         */
/*##                                                                         */
/*##     Abstract  :                                                         */
/*##                                                                         */
/*##     This file is used by the linker. It describes files to be linked,   */
/*##     memory ranges, stack size, etc. For detailed description about      */
/*##     linker command files see compiler documentation. This file is generated by default. */
/*##     You can switch off generation by setting the property "Generate linker file = no" */
/*##     in the "Build options" tab of the CPU component and then modify this file as needed. */
/*##                                                                         */
/*##                                                                         */
/*## ####################################################################### */
/* Entry Point */
ENTRY(__boot)

HEAP_SIZE  = DEFINED(__heap_size__)  ? __heap_size__  : 0x0400;
STACK_SIZE = DEFINED(__stack_size__) ? __stack_size__ : 0x0400;
/* Specify the memory areas */
MEMORY {
  m_interrupts          (RX)  : ORIGIN = 0x00000000, LENGTH = 0x00000400
  m_text                (RX)  : ORIGIN = 0x00000410, LENGTH = 0x000FFBF0
  m_interrupts_ram      (RW)  : ORIGIN = 0x1FFF0000, LENGTH = 0x00000400
  m_data_1FFF0400       (RW)  : ORIGIN = 0x1FFF0400, LENGTH = 0x0000FC00
  m_data                (RW)  : ORIGIN = 0x20000000, LENGTH = 0x00030000
  /* Kernel space starts after RAM variables (Location of MQX Kernel data + MQX heap) */
  end_of_kd             (RW)  : ORIGIN = 0x2002FFF0, LENGTH = 0x00000000  
  /* Boot stack reused by MQX Kernel data */
  bstack                (RW)  : ORIGIN = 0x2002FA00, LENGTH = 0x00000200  /* Boot stack */
  end_bstack            (RW)  : ORIGIN = 0x2002FC00, LENGTH = 0x00000000  /* Boot stack end address requires 4B alignment */  
  m_flash_config        (RX)  : ORIGIN = 0x00000400, LENGTH = 0x00000010
}

/* Define output sections */
SECTIONS
{
  /* Define exported symbols for MQX */
  __INTERNAL_FLASH_BASE    = 0x00000410;
  __INTERNAL_FLASH_SIZE    = 0x000FFBF0;
  __INTERNAL_FLASH_END     = 0x000FFFFF; 
  __INTERNAL_SRAM_BASE     = 0x20000000;
  __INTERNAL_SRAM_SIZE     = 0x00030000;
  __INTERNAL_SRAM_END      = 0x2002FFF0;        
    
  /* The startup code goes first into INTERNAL_FLASH */
  .interrupts :
  {
    __VECTOR_TABLE = .;
    __VECTOR_TABLE_ROM_START = __VECTOR_TABLE;
    KEEP(*(.vectors_rom))    
    . = ALIGN(4);
  } > m_interrupts

  __VECTOR_RAM = ORIGIN(m_interrupts_ram);

  .flash_config :
  {
    . = ALIGN(4);
    KEEP(*(.FlashConfig))    /* Flash Configuration Field (FCF) */
    . = ALIGN(4);
  } > m_flash_config

  /* The program code and other data goes into INTERNAL_FLASH */
  .text :
  {
    *(KERNEL)
    *(.text*)
    *(.rodata*)
   
    /* unwind exception frame */
    KEEP(*(.eh_frame))
    KEEP(*(.eh_frame_hdr))
   
    /* constructors */
    . = ALIGN(0x8);
    KEEP (*crtbegin.o(.ctors))
    KEEP (*(EXCLUDE_FILE (*crtend.o) .ctors))
    KEEP (*(SORT(.ctors.*)))
    KEEP (*crtend.o(.ctors))
   
    /* destructors */
    KEEP (*crtbegin.o(.dtors))
    KEEP (*(EXCLUDE_FILE (*crtend.o) .dtors))
    KEEP (*(SORT(.dtors.*)))
    KEEP (*crtend.o(.dtors))
   
    /* preinit_array */
    __preinit_array_start = .;
    KEEP (*(.preinit_array*))
    __preinit_array_end = .;
   
    /* init_array */
    __init_array_start = .;
    KEEP (*(SORT(.init_array.*)))
    KEEP (*(.init_array*))
    __init_array_end = .;
   
    /* fini_array */
    __fini_array_start = .;
    KEEP (*(SORT(.fini_array.*)))
    KEEP (*(.fini_array*))
    __fini_array_end = .;
   
    /* gnu arm zero table */
    . = ALIGN(4);
    __zero_table_start__ = .;
    LONG (_bss_start)
    LONG (_bss_end - _bss_start)
    __zero_table_end__ = .;
   
    /* gnu arm copy table */
    . = ALIGN(4);
    __copy_table_start__ = .;
    LONG (LOADADDR(.data))
    LONG (_data_start)
    LONG (_data_end - _data_start)
    __copy_table_end__ = .;
  } > m_text   

  /* unwind exception frame */
  .ARM.extab :
  {
    *(.ARM.extab* .gnu.linkonce.armextab.*)
  } > m_text
  .ARM :
  {
    __exidx_start = .;
    *(.ARM.exidx*)
    __exidx_end = .;
  } > m_text  
  
  .data :
  {
    . = ALIGN(128);
    _data_start = .;
    __VECTOR_TABLE_RAM_START = .;
    KEEP(*(.vectors_ram))

    . = ALIGN(512);
    __BDT_BASE = .;
    *(.usb_bdt)
    __BDT_END = .;

    *(.data*)
    . = ALIGN(4);
    _data_end = .;
  } > m_data AT> m_text

  .bss :
  {
    . = ALIGN(4);
    _bss_start = .;
    *(.bss*)
    *(COMMON)
    . = ALIGN(4);
    _bss_end = .;
  } > m_data

 .kernel_data : 
  {
    . = ALIGN(0x10);
    __KERNEL_DATA_START = .;
  } > m_data

  .end_of_kernel_data :
  {
    __KERNEL_DATA_END = .;
    __KERNEL_AREA_END = .;
  } > end_of_kd

  .boot_stack :
  {
    _stack_end = .;
  } > bstack

  .end_of_boot_stack :
  {
    __BOOT_STACK_ADDRESS = .;
  } > end_bstack  
}
