/** ###################################################################
**     This component module is generated by Processor Expert. Do not modify it.
**     Filename    : bsp_config.h
**     Project     : RemotePowerControl
**     Processor   : MK64FN1M0VLQ12
**     Version     : Component 01.000, Driver 01.00, CPU db: 3.00.000
**     Compiler    : GNU C Compiler
**     Date/Time   : 2014-12-05, 22:39, # CodeGen: 2
**
**     Copyright : 1997 - 2014 Freescale Semiconductor, Inc. 
**     All Rights Reserved.
**     
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**     
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**     
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**     
**     o Neither the name of Freescale Semiconductor, Inc. nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**     
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**     
**     http: www.freescale.com
**     mail: support@freescale.com
** ###################################################################*/
/*!
** @file bsp_config.h                                                  
** @version 01.00
*/         
/*!
**  @addtogroup bsp_config_module bsp_config module documentation
**  @{
*/         
#ifndef __bsp_config_h__
#define __bsp_config_h__

#include "fsl_hwtimer_systick.h"
#include "fsl_hwtimer1.h"

/*
** PROCESSOR MEMORY BOUNDS
*/
typedef void (*vector_entry)(void);

#ifdef __CC_ARM
  /* Keil compiler */
  extern unsigned char Image$$USEDFLASH_END$$Base[];
  extern unsigned char Image$$VECTORS$$Base[];
  #define __VECTOR_TABLE ((void *)Image$$VECTORS$$Base)
#else
  extern unsigned char __INTERNAL_SRAM_BASE[], __INTERNAL_SRAM_SIZE[];
  extern vector_entry __VECTOR_RAM[];  /* defined in linker command file */
  extern vector_entry __VECTOR_TABLE[]; /* defined in linker command file */
  #define __VECTOR_TABLE_RAM_START     __VECTOR_RAM
  #define __VECTOR_TABLE_ROM_START     __VECTOR_TABLE
#endif

#define __SRAM_POOL                    __INTERNAL_SRAM_BASE 

#define __UNCACHED_DATA_START          __INTERNAL_SRAM_BASE
#define __UNCACHED_DATA_SIZE           __INTERNAL_SRAM_SIZE
#define __UNCACHED_DATA_END            __INTERNAL_SRAM_END

#define __DEFAULT_PROCESSOR_NUMBER     1
#define __DEFAULT_INTERRUPT_STACK_SIZE 1024

/* Enable modification of flash configuration bytes during loading for flash targets */
#ifndef BSPCFG_ENABLE_CFMPROTECT
  #define BSPCFG_ENABLE_CFMPROTECT     1
#endif
#if !BSPCFG_ENABLE_CFMPROTECT && defined(__ICCARM__)
  #error Cannot disable CFMPROTECT field on IAR compiler. Please define BSPCFG_ENABLE_CFMPROTECT to 1.
#endif


/* Init startup clock configuration is CPU_CLOCK_CONFIG_0 */

/*
 ** System timer definitions
 */
#define BSP_SYSTIMER_DEV               FSL_FSL_HWTIMER1_LL_DEVIF
#define BSP_SYSTIMER_ID                FSL_FSL_HWTIMER1_LL_ID
#define BSP_SYSTIMER_SRC_CLK           FSL_FSL_HWTIMER1_LL_SRCCLK_CNF0
#define BSP_SYSTIMER_ISR_PRIOR         4

/*
 * The clock tick rate in miliseconds - be cautious to keep this value such
 * that it divides 1000 well
 *
 * MGCT: <option type="number" min="1" max="1000"/>
 */
#ifndef BSP_ALARM_FREQUENCY
  #define BSP_ALARM_FREQUENCY          (1000000UL / FSL_FSL_HWTIMER1_PERIOD_CNF0)
#endif


/** MGCT: </category> */

/*
 * Old clock rate definition in MS per tick, kept for compatibility
 */
#define BSP_ALARM_RESOLUTION           (1000 / BSP_ALARM_FREQUENCY)

/*
 * Define the location of the hardware interrupt vector table
 */
#ifndef BSP_INTERRUPT_VECTOR_TABLE
  #define BSP_INTERRUPT_VECTOR_TABLE   ((uint32_t)__VECTOR_TABLE)
#endif


#ifndef BSP_FIRST_INTERRUPT_VECTOR_USED
  #define BSP_FIRST_INTERRUPT_VECTOR_USED (15)
#endif

#ifndef BSP_LAST_INTERRUPT_VECTOR_USED
  #define BSP_LAST_INTERRUPT_VECTOR_USED (101)
#endif



/****************************************************************************
 *                  DEFAULT MQX INITIALIZATION DEFINITIONS
 * MGCT: <category name="Default MQX initialization parameters">
 */

/* Defined in link.xxx */
extern unsigned char __KERNEL_DATA_START[];
extern unsigned char __KERNEL_DATA_END[];

#define BSP_DEFAULT_START_OF_KERNEL_MEMORY ((void *)__KERNEL_DATA_START)
#define BSP_DEFAULT_END_OF_KERNEL_MEMORY ((void *)__KERNEL_DATA_END)
#ifndef BSP_DEFAULT_PROCESSOR_NUMBER
  #define BSP_DEFAULT_PROCESSOR_NUMBER (1)
#endif

/* MGCT: <option type="string" quoted="false" allowempty="false"/> */
#ifndef BSP_DEFAULT_INTERRUPT_STACK_SIZE
    #define BSP_DEFAULT_INTERRUPT_STACK_SIZE ((uint32_t)1024)
#endif

/* MGCT: <option type="list">
 * <item name="1 (all levels disabled)" value="(1L)"/>
 * <item name="2" value="(2L)"/>
 * <item name="3" value="(3L)"/>
 * <item name="4" value="(4L)"/>
 * <item name="5" value="(5L)"/>
 * <item name="6" value="(6L)"/>
 * <item name="7" value="(7L)"/>
 * </option>
 */
#ifndef BSP_DEFAULT_MQX_HARDWARE_INTERRUPT_LEVEL_MAX
  #define BSP_DEFAULT_MQX_HARDWARE_INTERRUPT_LEVEL_MAX (2L)
#endif

/*
 * MGCT: <option type="number"/>
 */
#ifndef BSP_DEFAULT_MAX_MSGPOOLS
  #define BSP_DEFAULT_MAX_MSGPOOLS     (2L)
#endif

/*
 * MGCT: <option type="number"/>
 */
#ifndef BSP_DEFAULT_MAX_MSGQS
  #define BSP_DEFAULT_MAX_MSGQS        (16L)
#endif


/*
 * Board Debug Console Settings
 */
#ifndef BOARD_DEBUG_UART_INSTANCE
  #define BOARD_DEBUG_UART_INSTANCE    (0)
#endif
#ifndef BOARD_DEBUG_UART_BAUD
  #define BOARD_DEBUG_UART_BAUD        (115200)
#endif
/* Define BSP_DEFAULT_IO_CHANNEL for MQX_init_struct */
#ifndef BSP_DEFAULT_IO_CHANNEL
  #define BSP_DEFAULT_IO_CHANNEL       "nser0:"
#endif

/*
 * MGCT: <option type="string" maxsize="1024" quoted="false" allowempty="false"/>
 */
#ifndef BSP_DEFAULT_IO_OPEN_MODE
  #define BSP_DEFAULT_IO_OPEN_MODE     (void *)(NULL)
#endif

#endif /* __bsp_config_h__ */

/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.4 [05.10]
**     for the Freescale Kinetis series of microcontrollers.
**
** ###################################################################
*/
