/* ###################################################################
**     Filename    : mqx_tasks.h
**     Project     : RemotePowerControl
**     Processor   : MK64FN1M0VLQ12
**     Component   : Events
**     Version     : Driver 01.00
**     Compiler    : GNU C Compiler
**     Date/Time   : 2014-12-05, 22:39, # CodeGen: 2
**     Abstract    :
**         This is user's event module.
**         Put your event handler code here.
**     Settings    :
**     Contents    :
**         Task1_task - void Task1_task(void* task_init_data);
**
** ###################################################################*/
/*!
** @file mqx_tasks.h
** @version 01.00
** @brief
**         This is user's event module.
**         Put your event handler code here.
*/         
/*!
**  @addtogroup mqx_tasks_module mqx_tasks module documentation
**  @{
*/         

#ifndef __mqx_tasks_H
#define __mqx_tasks_H
/* MODULE mqx_tasks */

#include "fsl_device_registers.h"
#include "pin_init.h"
#include "mqx_ksdk.h"
#include "fsl_uart1.h"
#include "fsl_mpu1.h"
#include "fsl_hwtimer1.h"

#ifdef __cplusplus
extern "C" {
#endif 


/*
** ===================================================================
**     Event       :  Task1_task (module mqx_tasks)
**
**     Component   :  Task1 [MQX_KSDK_Task]
*/
/*!
**     @brief
**         MQX task routine. The routine is generated into mqx_tasks.c
**         file.
**     @param
**         task_init_data  - 
*/
/* ===================================================================*/
void Task1_task(uint32_t task_init_data);


/* END mqx_tasks */

#ifdef __cplusplus
}  /* extern "C" */
#endif 

#endif 
/* ifndef __mqx_tasks_H*/
/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.4 [05.10]
**     for the Freescale Kinetis series of microcontrollers.
**
** ###################################################################
*/
